org.richfaces.fragment.inplaceSelect

## Class RichFacesInplaceSelect

- java.lang.Object
- - org.richfaces.fragment.inplaceSelect.RichFacesInplaceSelect

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesInplaceSelect.AdvancedInplaceSelectInteractions>, AdvancedVisibleComponentIteractions<RichFacesInplaceSelect.AdvancedInplaceSelectInteractions>, InplaceSelect

      public class RichFacesInplaceSelect
      extends Object
      implements InplaceSelect, AdvancedVisibleComponentIteractions<RichFacesInplaceSelect.AdvancedInplaceSelectInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesInplaceSelect.AdvancedInplaceSelectInteractions`
    `class` | `RichFacesInplaceSelect.ConfirmOrCancelImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesInplaceSelect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesInplaceSelect.AdvancedInplaceSelectInteractions` | `advanced()`
    `TextInputComponentImpl` | `getTextInput()` Gets the associated text input.
    `ConfirmOrCancel` | `select(ChoicePicker picker)` Selects the first option according to the given `picker`param.``
    `ConfirmOrCancel` | `select(int index)` Selects the option from the list of the options at index.
    `ConfirmOrCancel` | `select(String text)` Selects the first option, which matches the given `text`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesInplaceSelect

          public RichFacesInplaceSelect()

  - ### Method Detail

    - #### advanced

          public RichFacesInplaceSelect.AdvancedInplaceSelectInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesInplaceSelect.AdvancedInplaceSelectInteractions>`

    - #### getTextInput

          public TextInputComponentImpl getTextInput()

      Description copied from interface: `InplaceSelect`
      Gets the associated text input.
      Specified by:
        `getTextInput` in interface `InplaceSelect`
      Returns:
        the text input of the component
      See Also:
        `TextInputComponentImpl`

    - #### select

          public ConfirmOrCancel select(ChoicePicker picker)

      Description copied from interface: `InplaceSelect`
      Selects the first option according to the given `picker`param. In other words, it selects the first option which satisfies the choice picking rules defined in `picker```
      Specified by:
        `select` in interface `InplaceSelect`
      Parameters:
        `picker` - for defining the rules by which the suggestion will be selected
      Returns:
        object by which a user can actually change the select value (confirm), or return to the previous input value (cancel)

    - #### select

          public ConfirmOrCancel select(int index)

      Description copied from interface: `InplaceSelect`
      Selects the option from the list of the options at index.
      Specified by:
        `select` in interface `InplaceSelect`
      Parameters:
        `index` - index of option
      Returns:
        object by which a user can actually change the select value (confirm), or return to the previous input value (cancel)

    - #### select

          public ConfirmOrCancel select(String text)

      Description copied from interface: `InplaceSelect`
      Selects the first option, which matches the given `text`.
      Specified by:
        `select` in interface `InplaceSelect`
      Parameters:
        `text` - the text of the option to be selected
      Returns:
        object by which a user can actually change the select value (confirm), or return to the previous input value (cancel)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.